### Method

# Adw Leaflet get_adjacent_child

#### Declaration [src]

    GtkWidget*
    adw_leaflet_get_adjacent_child (
      AdwLeaflet* self,
      AdwNavigationDirection direction
    )

#### Description [src]

Finds the previous or next navigatable child.

This will be the same child `adw_leaflet_navigate()` or swipe gestures will navigate to.

If there’s no child to navigate to, `NULL` will be returned instead.

See `AdwLeafletPage:navigatable`.

Available since: | 1.0

#### Parameters

`direction` | `AdwNavigationDirection`
| The direction.

#### Return value

Returns: | `GtkWidget`
| The previous or next child.
| The data is owned by the instance.
| The return value can be `NULL`.